#!/bin/sh
appname=`basename $0 | sed s,\.sh$,,`

opencv_dirname=`dirname $0`
qt_dirname=`dirname $0`
dirname=`dirname $0`

tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
opencv_dirname=/opt/apps/com.sunrise.device/files/camera/bin/opencv/lib/
qt_dirname=/opt/apps/com.sunrise.device/files/qtConfig/lib/
fi

LD_LIBRARY_PATH=$qt_dirname:$opencv_dirname
export LD_LIBRARY_PATH

QT_QPA_PLATFORM_PLUGIN_PATH=/opt/apps/com.sunrise.device/files/qtConfig/platforms
export QT_QPA_PLATFORM_PLUGIN_PATH

QT_DEBUG_PLUGINS=1
export QT_DEBUG_PLUGINS

$dirname/$appname "$@" 
